/* Constants which define limits of file system capabilities. */

#ifndef _LIMITS_H_
#define _LIMITS_H_

/* Number of slots in the process table for user processes. */
#define NR_PROCS	20

#define NAME_MAX	14	// #chars in file name
#define NAME_MAX_EX	30	// #chars in file name - extended versions
#define PATH_MAX	255	// #chars in path name
#define OPEN_MAX	20	// open files a process may have

/* Maximum of messages that can be sent in phase of initiating of new consumer connection. */
#define COUNTER_MAX	5	

#endif /* _LIMITS_H_ */
